GNU bug report logs - #64957
[PATCH] gnu: Add python-fontmake.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Sergio Pastor Pérez <sergio.pastorperez@HIDDEN>; dated Sun, 30 Jul 2023 15:37:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 64957 <at> debbugs.gnu.org:


Received: (at 64957) by debbugs.gnu.org; 6 Sep 2023 18:43:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 06 14:43:58 2023
Received: from localhost ([127.0.0.1]:37699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qdxVO-0001r9-I1
	for submit <at> debbugs.gnu.org; Wed, 06 Sep 2023 14:43:58 -0400
Received: from mail-qv1-xf33.google.com ([2607:f8b0:4864:20::f33]:50287)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1qdxVN-0001qp-3I
 for 64957 <at> debbugs.gnu.org; Wed, 06 Sep 2023 14:43:58 -0400
Received: by mail-qv1-xf33.google.com with SMTP id
 6a1803df08f44-64b98479a66so999726d6.0
 for <64957 <at> debbugs.gnu.org>; Wed, 06 Sep 2023 11:43:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20221208; t=1694025830; x=1694630630; darn=debbugs.gnu.org;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:from:to:cc:subject
 :date:message-id:reply-to;
 bh=ddy+Ux1ApOUyBN4elpc0TigB7ZZbpFOJszCztIv0o9o=;
 b=WjXC+lg03a6DdhzV1x2uFiWE0y3oy8EpJnK0fu4Ou/DNA6W3rkRPKnkrWNHUdCiPrO
 yYaDAmOxC8WVg/kTNBKklMC9GymSb+vdEMyoE61ChZGv32ySlhgzkEJZUV+z53txRpx/
 tHRrY9pBXQNX41M/y0iOWIGBtcUr51PYsV82BbY2kASUHrLz2Cmgrf0xSrWWsX3QQcQc
 kqeIHb1jTfe487xuBULOd+eUQ4v58OJ3UrxYHhLlC6zwMbIIJdkv0Ac3mRTkbniNNo37
 7xH52N9lh4/UgP6u2gEHq5QbH3w9b1lr4bGnBwiHI2WR4ZTFZv9/GrUgEy16EUF63eOZ
 Foiw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20221208; t=1694025830; x=1694630630;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=ddy+Ux1ApOUyBN4elpc0TigB7ZZbpFOJszCztIv0o9o=;
 b=WpX6j8psxe/WB4kwMMPzMlpZe1xvryX0IeU1GQpWyFqLP2EZNikVBzYBM/z7CwrdwW
 SvKrQC+1GUKGOd0C6E7VkqsPE2pwbo5DJnnykfzelhEWn+U6b8vZ4rXOmqEcaS7aoFuk
 ZSh7HaR9WdXGjZTPdEk/LNVBwf3kWq1VuiD9U5ii7lu8zGKLkIzFwiO5yfHRzHtY5vNT
 yBLmakaOAG2NxV/XP6HCS3VzLhHc1HRHMWAQdpeLHdFViK7FT6gU0US6VkGAAIZeQZpd
 5qIHPNLsLlMn99ZdGpBwBsfuQR42XPwxc2cvrqwD0muSMJR9rswb10uyJh8mqQ50D+fO
 MjKA==
X-Gm-Message-State: AOJu0YyncJty31ZGVq7ukIt65c0ytDeTlEK4b3CHg7UBWCZqQx02eY7J
 QB1brdN5bE8DN6JRNpvOQbDqVdxdpNV07A==
X-Google-Smtp-Source: AGHT+IGCIKV+nbC0+L20A/Q9mEg/hKlTQzi2OoEY/C2YN/RossgB1Wdc+5BSp6bYezq0oTU4gl+lsA==
X-Received: by 2002:a0c:f187:0:b0:64f:4a4a:edc9 with SMTP id
 m7-20020a0cf187000000b0064f4a4aedc9mr17104989qvl.64.1694025829923; 
 Wed, 06 Sep 2023 11:43:49 -0700 (PDT)
Received: from hurd (dsl-153-125.b2b2c.ca. [66.158.153.125])
 by smtp.gmail.com with ESMTPSA id
 r18-20020a0cb292000000b0064f5daff23fsm5690149qve.15.2023.09.06.11.43.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 06 Sep 2023 11:43:49 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Sergio Pastor =?utf-8?Q?P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
Subject: Re: bug#64957: [PATCH] gnu: Add python-fontmake.
References: <87ledj9a4p.fsf_-_@HIDDEN>
 <DU2P193MB2132166790F9B80DA520FE86F304A@HIDDEN>
 <handler.64957.D64957.16939759387992.notifdone <at> debbugs.gnu.org>
 <87pm2v7u10.fsf_-_@HIDDEN>
 <DU2P193MB21325F3C497682AB0E922457F3EFA@HIDDEN>
Date: Wed, 06 Sep 2023 14:43:48 -0400
In-Reply-To: <DU2P193MB21325F3C497682AB0E922457F3EFA@HIDDEN>
 ("Sergio Pastor =?utf-8?Q?P=C3=A9rez=22's?= message of "Wed, 06 Sep 2023
 19:22:36 +0200")
Message-ID: <87il8nqh0b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 64957
Cc: 64957 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Sergio,

Sergio Pastor P=C3=A9rez <sergio.pastorperez@HIDDEN> writes:

> Hi, again.
>
> When I submitted the package I thought the checks where passing at least
> it was building without errors for version 3.4.0.  I see that you are
> using another build system and you updated the version. I'm trying your
> patch out and I see the failures during the check phase.
>
> At first sight I would not know how to fix any of this. I'm not very
> experienced with python in general. If I find the problem I will send an
> updated revision.

It's common for the PyPI archives to lack the tests files and/or for the
old build system (python-build-system) to not successfully run the test
suite and report success (which is what happens with 3.4.0 it seems).
So the package was "building" fine, but that doesn't mean much for
Python since it's interpreted -- running the test suite is important.

Often looking at what upstream does in their CI (github workflow for
example) can provide cues.  Or sometimes the test may try to access the
network.  Or sometimes they embed paths such as '/bin/sh' in the middle
of a file.  Or sometimes they need a writeable HOME, etc.

It's sometimes a bit of an effort to get the test suite going, but it's
what gives us confidence that it works well.

--=20
Thanks,
Maxim




Information forwarded to guix-patches@HIDDEN:
bug#64957; Package guix-patches. Full text available.
Removed tag(s) patch. Request was from Maxim Cournoyer <maxim.cournoyer@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 64957 <at> debbugs.gnu.org:


Received: (at 64957) by debbugs.gnu.org; 6 Sep 2023 17:27:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 06 13:27:52 2023
Received: from localhost ([127.0.0.1]:37530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qdwJj-0008Ey-On
	for submit <at> debbugs.gnu.org; Wed, 06 Sep 2023 13:27:52 -0400
Received: from mail-dbaeur03olkn2018.outbound.protection.outlook.com
 ([40.92.58.18]:32410 helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1qdwJh-0008Ei-Sk
 for 64957 <at> debbugs.gnu.org; Wed, 06 Sep 2023 13:27:50 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=n2YZLYqc3KSUIOu6DqRRRn34N2uwWiW0MQJ2WJQemycz5W9yXV6h89M2Sl81t3eG9lgzOB+7Ywq3dN21K37q41Siy5sNAZwyp05tB39qy3IQA2hVA6LIj43MWJenGOaDBNxdPC/MrZdKYeGzlk2h9g7kvcp4f/odMBtbrvT2jK1HrdNlhJrJlbVPrCePmhGwcP/wXO4xmn/uqPjLLWgtOb7NJRFd38LLoLLj1IoNlfLuv75c6gfaTW6jpdNXCeLya1dWxPKkwWzm0faRQ6nVvsyMYVA13q7lcl4C2pMuBJR2tLib/4kX39o05CRuQyrYKwIfn5nYlVtQPE3tZvzHWA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=rXZgbWCWbMFXN404QL/FI0RMEztEf4PQ6RRCBnzmJBw=;
 b=Jo09XfthMcEh7pJy4I5zWQia0Mb8zs6VeA3RJ1x4LLgdBTnIh30shIAhsYwSL2iQhFgNeuenAhL/e/xd51gR1Z+hPMYkPhUkmUdYCC83DYhFtKWx2CzX5WokHvYhtXWcYZONqxzA44Z0/yfI4Tkhohx7lHEGVK7BapJ96EJbRKrVWUL2G7TE/rKI+hVz2uvSepk4vWtuEPDGuaQVH+cu5u/AGbhGdG1aP/AMUOEada9WiYASCLdbjwkX85JxP7BdyO6+bvFdSPhPbEKiH3bUuGb7IPf28y8FiI8Il2Tqt/hr80wLgBX6gXhzk2gSF33gGWXupGRI3320s+9gv2Dz2Q==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM9P193MB1144.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:1f2::15) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.6745.34; Wed, 6 Sep 2023 17:27:42 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::4054:570:51ed:6d25]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::4054:570:51ed:6d25%4]) with mapi id 15.20.6745.034; Wed, 6 Sep 2023
 17:27:42 +0000
References: <87ledj9a4p.fsf_-_@HIDDEN>
 <DU2P193MB2132166790F9B80DA520FE86F304A@HIDDEN>
 <handler.64957.D64957.16939759387992.notifdone <at> debbugs.gnu.org>
 <87pm2v7u10.fsf_-_@HIDDEN>
User-agent: mu4e 1.10.2; emacs 30.0.50
From: Sergio Pastor =?utf-8?Q?P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#64957: [PATCH] gnu: Add python-fontmake.
Date: Wed, 06 Sep 2023 19:22:36 +0200
In-reply-to: <87pm2v7u10.fsf_-_@HIDDEN>
Message-ID: <DU2P193MB21325F3C497682AB0E922457F3EFA@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-TMN: [b4drvqTfvD562MDVmQSxW8DqtEweUUbh]
X-ClientProxiedBy: MR2P264CA0064.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:31::28) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <84sf7rp5yr.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM9P193MB1144:EE_
X-MS-Office365-Filtering-Correlation-Id: ec04899e-1cf7-4ee9-172d-08dbaefe9368
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: exnj4IGQMNIci1tlRKTmJj18DW7f6JH4gXOCjBOk3VkwoueWq0SCodzZTTFIDF9SKJgCiFBeMcQdm/35RhVNCTDGnlge3ZZ0JnBTHAKhfjecsiHWbGdKdwZ0sr8TFYHJcA5C2hKolTVOIyT+TE+yCl8xiEVAkPGxiFwCyE8gFlTFJa/OLkF8mbPH6kXOQDHdgqeYJH3nUreJsw6TaRjTtnolxv5D57v927Tj5rsQPjBMx/fLcuX1oDDMo/9VlvLYtIGknhaVHIxbaedESVjDaIW2PGZ//3slVAPt+cEiesIFOje7GficHjqhrEfN66KC88PSOaHA+o9elaJb8PCWmsWOV22S+fqUiQolYKCBAjwknuSPTHQ4irH/9X0Fqb22KCeLGQwfMlFbVlp/ZJJ61NyzyJlUcpOkImHCWjgHSww5IJ3B+O8ZViFF+GWE1pd3iHYkkH3T4onUl8D9GrP4UDx+v9zTONNQYuTnjJS0NMSizQ+lPaCEy4vcnwMo3dQdN/3CCeG7/euyxWGt9pmr+d0Fvn7tEr8Q5BnjHy85rYA=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?eXZjcDlkR0hQaEJJa3hBcVpTNTduaTdPK2FKTjM0eE5KS2Jaa29aK3EzdDVi?=
 =?utf-8?B?RGNsMFlreUxiS2laNHZNNUlGS1lMLysrUzVmNWRmZk13RGtWUXZzczJKVnFH?=
 =?utf-8?B?dVpSMUJDV2lzVlljbHlqZzhld2RFa2doeVIyMGY5Z3ZRdHRXZ1U3eFEvckF0?=
 =?utf-8?B?em5IMDhSOS9aSi9scUZNeldlNXZINXJpQUVnQWtxTjdkWHdPUkJPRWFINSt4?=
 =?utf-8?B?UitWYTZLcDVTQTR0ZllhSWFxM05OMGxwMVVxUk9xbnZQN0trNG14QWVqUlM2?=
 =?utf-8?B?UzJLTG0zRU5vYVUxOXI2cjRJSE8xaWFNZnBPSXY3VnM5dEpyNGVmUzJrTW5Q?=
 =?utf-8?B?aC9WOHlWUlNFdmZhMXJMK1gvTmIyYVFyd3V5alJwdWd0SW9STGFnb2RzTnZi?=
 =?utf-8?B?YUthM3E5ZXNoNWh3YithaklvMXZrRUJETEt0YnNJRTlqN0tDRmFXTWZ4cDFP?=
 =?utf-8?B?cXI2RzdwT1kwVEdFTnVkcCtmK28xaWpQdE9jZGNISEZJL1NXN3BQNFBweTdo?=
 =?utf-8?B?eldUSDZtYnBlbkd4M29HT0ZYc1Y4eHd5QWFPVlV1L3dnT0NnWWRYSlhNL0lo?=
 =?utf-8?B?YmxRRjVYMUMxSVYzZEZvV2xsbFdRdWl5c2ZMb0t2NWxWUnlENnRPMElwMjR6?=
 =?utf-8?B?bWFTbDBsK2xJU1JzOE52aXQxOXhvVEgzSW96cjVKZ2tha1dMeHZqWm55YXpR?=
 =?utf-8?B?amtLMjl3VGZpZEZtTFoxbG1oYnJiVkFSSVFCQ3RjYk9ZUXhtbE90TlMrczVr?=
 =?utf-8?B?MGJUMmJ2WHMzTU5CcWFrYWNDRzRNYTVZczRISjZTTEt0THFqcGFPcUp2M0do?=
 =?utf-8?B?cXVSaUpWYjUxOURIMExNT2lHd3VxeXp1MmMyMmh0dGVsWDhSMi9BeXoxR1Zz?=
 =?utf-8?B?dWpkUU1pckJhT0RTZGYxajJqaHlzSmM5aTUzQ3ZLZGhCS3I3RTkzb1lydkxv?=
 =?utf-8?B?d2N5clBRWHJUbEk1NlE0NEYxdmloTnhqSDVKUWZxTG0zS3B2YlgwL0x4bWxU?=
 =?utf-8?B?OVJoU2hFbzQ0alZPUkpNZjRJcXFuQ3BPWWVrcStJRHhKT0lTV1p5VnA3MUxM?=
 =?utf-8?B?ZXBQQ21qTkxFaVN0QUlGV0VhY3lLeFVRdzQrSU1zY3U3WTlnKzBvdnNGUzl3?=
 =?utf-8?B?SEJQeDlaTktaRXMzQzdubTdoTitNcWg3VGRlYTYydzczZmNyNmRZaFFCc25G?=
 =?utf-8?B?OUNmRG9ycmMrRnFNUlQ1QTczUCs5VjU4QkVKemlKR1hoc3F5UDU1VFQ1RjBJ?=
 =?utf-8?B?VlVDYXl2UjNmZWV3WVRKMi9jejZFN0pLMVNLY0ZTZ2xxMGxEWWNPS1I2OXlN?=
 =?utf-8?B?eVBheWlScW1vMVVjK2tOL1RhZ1ZwT0d2OTdpejJxd0VPTkdMMVZYTnlEZTZ1?=
 =?utf-8?B?TmZNWjhta2tOZml2ZEVJdjlrOXArSW5Xam0wWkl4TDdWKytwb0xqa2tYVmZu?=
 =?utf-8?B?d3puQlZEZTNrV290OUsxTWdsNStyTlM5NkJiMktETHBxTUhSd3pDbktydTlO?=
 =?utf-8?B?WjdtVWVzb0F1cEVUVktrcysyTThUY09WenpIeC9vdWNpVWJxckVrTHNXNmdz?=
 =?utf-8?B?OUJTRUNrdGs3dkVRaEs5ZG9RZGRTbGtJUVExQmhmZDAwK2c2MFRlT0xWRE52?=
 =?utf-8?Q?OIkJVjyWuFzSkFu5E6neWAgeDzjTEOThSH5U5IAKV5Sw=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: ec04899e-1cf7-4ee9-172d-08dbaefe9368
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 06 Sep 2023 17:27:42.4642 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM9P193MB1144
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 64957
Cc: 64957 <at> debbugs.gnu.org, GNU bug Tracking System <help-debbugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi, again.

When I submitted the package I thought the checks where passing at least
it was building without errors for version 3.4.0.  I see that you are
using another build system and you updated the version. I'm trying your
patch out and I see the failures during the check phase.

At first sight I would not know how to fix any of this. I'm not very
experienced with python in general. If I find the problem I will send an
updated revision.

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> reopen 64957
> quit
>
> Hi,
>
> [...]
>
>> Sergio Pastor P=C3=A9rez <sergio.pastorperez@HIDDEN> writes:
>>
>>> * gnu/packages/fontutils.scm (fontmake): New variable.
>
> I spoke too soon; the tests do not appear to run.  Here's an updated
> package:
>
> --8<---------------cut here---------------start------------->8---
> (define-public fontmake
>   (package
>     (name "fontmake")
>     (version "3.7.1")
>     (source (origin
>               (method url-fetch)
>               (uri (pypi-uri "fontmake" version ".zip"))
>               (sha256
>                (base32
>                 "0ib7fvwgwazm7qfj4a3rkqkb40xfbj40rnvsmkvl2isg2ky3vg9m")))=
)
>     (build-system pyproject-build-system)
>     (inputs (list python-fontmath python-glyphslib))
>     (native-inputs (list unzip pytest python-setuptools-scm))
>     (home-page "https://github.com/googlefonts/fontmake")
>     (synopsis
>      "Compile fonts from sources (UFO, Glyphs) to binary (OpenType, TrueT=
ype)")
>     (description
>      "Fontmake compiles fonts from various sources (@code{.glyphs}, @code=
{.ufo},
> @code{designspace}) into binaries (@code{.otf}, @code{.ttf}).  It can be =
used to
> create static instances and variable fonts.")
>     (license license:asl2.0)))
> --8<---------------cut here---------------end--------------->8---
>
> Unfortunately there are quite a few test failures to analyze.  Would
> you be motivated to do so?  The end result would be a better package.





Information forwarded to guix-patches@HIDDEN:
bug#64957; Package guix-patches. Full text available.

Message received at 64957 <at> debbugs.gnu.org:


Received: (at 64957) by debbugs.gnu.org; 6 Sep 2023 05:25:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 06 01:25:25 2023
Received: from localhost ([127.0.0.1]:60590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qdl2b-0008NE-AF
	for submit <at> debbugs.gnu.org; Wed, 06 Sep 2023 01:25:25 -0400
Received: from mail-qt1-x836.google.com ([2607:f8b0:4864:20::836]:50192)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1qdl2Z-0008N3-O4
 for 64957 <at> debbugs.gnu.org; Wed, 06 Sep 2023 01:25:24 -0400
Received: by mail-qt1-x836.google.com with SMTP id
 d75a77b69052e-4142ca41b89so22354331cf.0
 for <64957 <at> debbugs.gnu.org>; Tue, 05 Sep 2023 22:25:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20221208; t=1693977917; x=1694582717; darn=debbugs.gnu.org;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:from:to:cc:subject
 :date:message-id:reply-to;
 bh=Z9iyNICP6tLvwfbDik61PLOHOo/r60KMMlZF4iqqHVs=;
 b=bZl5qka3+VQtqAG1PwxBkIBW+v+QjrFcjA45SyDyOtNPCQ3bggbH9KF3W/Qikfm3ED
 fERnc7xB1ui2/rM+3Aln3l9StiH9hxs3HGRfiV18ZeoetkhHivSbJ39JuKy6TaCodvWV
 4lKS54zY/e+3mjavZnkhOZOP0KWRpKetbOJbTcnCOw4MiLhmk9hUkAgNVPv6thRq1wEA
 lKHrLK8YAalGKGj2XWhKDa7NJbNI2MoEvQAil7jga7L6onxemcYmwxtBoQ39VuwJdzo5
 kC4ep7aDGcq79V6o7dk3VGKzbsGuHzfXK2tsMn5lAHAarmzBMfsqZjsRjtZjcBCzsQBf
 IKqQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20221208; t=1693977917; x=1694582717;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=Z9iyNICP6tLvwfbDik61PLOHOo/r60KMMlZF4iqqHVs=;
 b=V4TCadLATXsrKOiJyvDcs37bp7RxBkA/UlQhzJeOgtuuaGhlL7cCZP+2XBrMpI0C1m
 sPFyh9w3RWPvP0icFwVD5oj/lO2iblwz55RBloG/d3NPkFEgh8k2pNAh9QcHWLDUJlmi
 fjEcqpEJoHVVplpOvVWEPtApW6VX1hiN2issVbqNpyKSMD+iz9IL0IdIlTmo6rX18D3f
 xrV21guqire363EJDLGPGqvDKyIVvtSI4LMb0lbmwmds+W2BSHwtVQuO9pLmkK/NSE1/
 /nGAMuu6+wbU0GxAYrl3IJunbeea02UI/nNdnC2DgCyV3pdEG5vJnCUUP/um5Xqz80Ei
 E4GQ==
X-Gm-Message-State: AOJu0Yzzr83C2QNPRovw85FQ1iAxrauMQis0O9KEg22+rentEkITffOf
 CdABFoWRgSp9GNPrhJKCVX6rIQ1UdE4t2Q==
X-Google-Smtp-Source: AGHT+IGoLNDTz5xRzpSvDsJ8KY/1FOF9Tox4BLRLAhnQvomqJmLQpwlQ1myML1ZCpyEcyaFmpSHkfA==
X-Received: by 2002:a05:622a:307:b0:403:e9e2:3d03 with SMTP id
 q7-20020a05622a030700b00403e9e23d03mr22219887qtw.47.1693977917067; 
 Tue, 05 Sep 2023 22:25:17 -0700 (PDT)
Received: from hurd (dsl-153-125.b2b2c.ca. [66.158.153.125])
 by smtp.gmail.com with ESMTPSA id
 x21-20020ac87a95000000b0041208319f73sm4985086qtr.51.2023.09.05.22.25.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 05 Sep 2023 22:25:16 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: help-debbugs@HIDDEN (GNU bug Tracking System)
Subject: Re: bug#64957: [PATCH] gnu: Add python-fontmake.
References: <87ledj9a4p.fsf_-_@HIDDEN>
 <DU2P193MB2132166790F9B80DA520FE86F304A@HIDDEN>
 <handler.64957.D64957.16939759387992.notifdone <at> debbugs.gnu.org>
Date: Wed, 06 Sep 2023 01:25:15 -0400
In-Reply-To: <handler.64957.D64957.16939759387992.notifdone <at> debbugs.gnu.org>
 (GNU bug Tracking System's message of "Wed, 06 Sep 2023 04:53:02
 +0000")
Message-ID: <87pm2v7u10.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 64957
Cc: Sergio Pastor =?utf-8?Q?P=C3=A9rez?= <sergio.pastorperez@HIDDEN>,
 64957 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 64957
quit

Hi,

[...]

> Sergio Pastor P=C3=A9rez <sergio.pastorperez@HIDDEN> writes:
>
>> * gnu/packages/fontutils.scm (fontmake): New variable.

I spoke too soon; the tests do not appear to run.  Here's an updated
package:

--8<---------------cut here---------------start------------->8---
(define-public fontmake
  (package
    (name "fontmake")
    (version "3.7.1")
    (source (origin
              (method url-fetch)
              (uri (pypi-uri "fontmake" version ".zip"))
              (sha256
               (base32
                "0ib7fvwgwazm7qfj4a3rkqkb40xfbj40rnvsmkvl2isg2ky3vg9m"))))
    (build-system pyproject-build-system)
    (inputs (list python-fontmath python-glyphslib))
    (native-inputs (list unzip pytest python-setuptools-scm))
    (home-page "https://github.com/googlefonts/fontmake")
    (synopsis
     "Compile fonts from sources (UFO, Glyphs) to binary (OpenType, TrueTyp=
e)")
    (description
     "Fontmake compiles fonts from various sources (@code{.glyphs}, @code{.=
ufo},
@code{designspace}) into binaries (@code{.otf}, @code{.ttf}).  It can be us=
ed to
create static instances and variable fonts.")
    (license license:asl2.0)))
--8<---------------cut here---------------end--------------->8---

Unfortunately there are quite a few test failures to analyze.  Would
you be motivated to do so?  The end result would be a better package.

--=20
Thanks,
Maxim




Information forwarded to guix-patches@HIDDEN:
bug#64957; Package guix-patches. Full text available.

Message received at 64957-done <at> debbugs.gnu.org:


Received: (at 64957-done) by debbugs.gnu.org; 6 Sep 2023 04:52:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 06 00:52:17 2023
Received: from localhost ([127.0.0.1]:60535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qdkWX-00024q-KX
	for submit <at> debbugs.gnu.org; Wed, 06 Sep 2023 00:52:17 -0400
Received: from mail-qt1-x82d.google.com ([2607:f8b0:4864:20::82d]:50571)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1qdkWV-00024U-H3
 for 64957-done <at> debbugs.gnu.org; Wed, 06 Sep 2023 00:52:16 -0400
Received: by mail-qt1-x82d.google.com with SMTP id
 d75a77b69052e-412091b9035so22106981cf.1
 for <64957-done <at> debbugs.gnu.org>; Tue, 05 Sep 2023 21:52:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20221208; t=1693975929; x=1694580729; darn=debbugs.gnu.org;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:from:to:cc:subject
 :date:message-id:reply-to;
 bh=N34N8wh/lHXogJVLaZQGBL+w8MIYZkTcu93w90Z3nXM=;
 b=BLyR7ChvBSE/4mMNbGESvdWpRJzmJZSNTeqh3SoezJnEjqKID6v5mXu48ppLEZIqKF
 Sz0o9YM6aVZlFZnZYLpvFggKLZ7kKqumD4yhn1Xn9L81KkI2lc6S82SG0gKjP7EqVQnq
 zwLKAjErEYg58z1NT4de5eSx728odpMymdCl30Czy6GCSjrNb6xgWQCp7+7Letg8cveC
 gZNxFgs1dDA3d+Udkf9PA5a7c3n+pT414oCBp4yRqhhLq2ksrVrOyslFraSld/KUGFDp
 /xK5GcIohk5CN4p1naRRsHNhZgencUmfxUyi0hDCFM+HBhgAtrvBJFyYskKuaEThWdLy
 PaHw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20221208; t=1693975929; x=1694580729;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=N34N8wh/lHXogJVLaZQGBL+w8MIYZkTcu93w90Z3nXM=;
 b=DeatyJS9k1Nq3M2UMBfuSc4UhdSIGrH34NQir7xnwhi7xsfAhBzaXFa8E2RqMCB+od
 1V8MDQRlqChnrsp/n5EPx55OrQk8WgwURQWilz3Qs0FWlAc2hJhNomQKJMjdZw1m8eJc
 1XihNWNyL+vkCK/IJVOHs68hS795T7ueenGm/bYSLRDJd1sZHf0maQsPPBcEwuC13yVc
 B2H9Gvj8MqX9wkblob6uagAKy2FZAVDq93MlDBeZYf5pbpz8gcast3OUegqIWt5ZGR67
 x5fk1AJdZwKxir3O21ns34mC6g7YECNIBdk8VDwltZAG2oxQ/HnVLSTziLswGSRTyknu
 MoyA==
X-Gm-Message-State: AOJu0Yw8Nd5Dm0oD/cHFtEMFpqpf+uRxOszMvo9zmcLukKZLwRB9YVjU
 ObuFE8k4zhRzgWcCdKzFMmHjeX3PwBCfuw==
X-Google-Smtp-Source: AGHT+IG/ShYStMO97tq3sHjdOmvL3xqOMAA6sB/yj3xPwnQ08gpctNdaEJSURiAluet8/+yGc/RknQ==
X-Received: by 2002:a05:622a:104f:b0:40f:d63c:dc5b with SMTP id
 f15-20020a05622a104f00b0040fd63cdc5bmr20680052qte.63.1693975928825; 
 Tue, 05 Sep 2023 21:52:08 -0700 (PDT)
Received: from hurd (dsl-153-125.b2b2c.ca. [66.158.153.125])
 by smtp.gmail.com with ESMTPSA id
 jx2-20020a05622a810200b004009f6e7e7csm4983964qtb.31.2023.09.05.21.52.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 05 Sep 2023 21:52:08 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Sergio Pastor =?utf-8?Q?P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
Subject: Re: bug#64957: [PATCH] gnu: Add python-fontmake.
References: <DU2P193MB2132166790F9B80DA520FE86F304A@HIDDEN>
 <DU2P193MB2132A3819110619AB4C45D77F30AA@HIDDEN>
Date: Wed, 06 Sep 2023 00:52:06 -0400
In-Reply-To: <DU2P193MB2132A3819110619AB4C45D77F30AA@HIDDEN>
 ("Sergio Pastor =?utf-8?Q?P=C3=A9rez=22's?= message of "Tue, 1 Aug 2023
 09:05:57 +0200")
Message-ID: <87ledj9a4p.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 64957-done
Cc: 64957-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Sergio Pastor P=C3=A9rez <sergio.pastorperez@HIDDEN> writes:

> * gnu/packages/fontutils.scm (fontmake): New variable.

Installed!

--=20
Thanks,
Maxim




Notification sent to Sergio Pastor Pérez <sergio.pastorperez@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Maxim Cournoyer <maxim.cournoyer@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 64957 <at> debbugs.gnu.org:


Received: (at 64957) by debbugs.gnu.org; 1 Aug 2023 07:06:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 01 03:06:23 2023
Received: from localhost ([127.0.0.1]:47069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qQjSY-0006Ih-ND
	for submit <at> debbugs.gnu.org; Tue, 01 Aug 2023 03:06:23 -0400
Received: from mail-db5eur01olkn2094.outbound.protection.outlook.com
 ([40.92.64.94]:15633 helo=EUR01-DB5-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1qQjSX-0006IT-5q
 for 64957 <at> debbugs.gnu.org; Tue, 01 Aug 2023 03:06:21 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=L0snKhL8fLsfdfPupniKytH4SgopCV2kZ7Pj7LDO3pf8OQFvokLEnIlgls+GRnKiD/UohcyNq8yeR9C9uJJCs5ucITe8KmFS25JhWYu7H1jw6X2sIwyqfYnBsPwzBrl5E3yoKbkcPwMJtzGB6qXsVZpWeujzgui44FbmKK4sm+MA09rpt74Ovx6tkcTRDwKoxtGio384ze/NBfstDQ1s87UGWOUwHhEGObpy9/hUvV60wOsHvyBnNNoRy3/Hg5KSu5K0nEjDKi8/HgFDLZwXDPdVJGcZFfUXv52mtqzlWTFjzm1JeXnIAydfWi8G0skhCDDThbLWdaKeJ7vfADrYhg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=TS02Bro3fXgjAtWc8bx4xLGzY52zCET2mAT2LfaIqdw=;
 b=LRdM7fJK+xManseypuZxnsKoSiqw72kuxkm65pTwsBwVFqXDbTmL2BbuQVVNFG+HZo+jkGMgBxIZXKBvCcf34Qfe9sG/eHKiv0bD3S6uKYsSSVPHtpzJJ/8ylnEqmCFzNjo6AAyY686f67MQJvbjHG/CRJ4faMyHyD+HYWUIxYvn8iFJEqsDSwlnsvUgdwWNgimvXgPLwJFvb4dP4nVjQn9FzdSBcWmBwIDXBmqBAZGSkE0SXcQXeFVUgNmaIIt+IG47N9f2curw86UDvrDhJzU7kx3o1pZR+awDeinZkNq68AHQlUL3GizHYwIXxRb+I3wJmgvcnFnlftuyK2GJeQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AS8P193MB2320.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:44c::9) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.6631.44; Tue, 1 Aug 2023 07:06:14 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::4054:570:51ed:6d25]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::4054:570:51ed:6d25%4]) with mapi id 15.20.6631.043; Tue, 1 Aug 2023
 07:06:14 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 64957 <at> debbugs.gnu.org
Subject: [PATCH v4] gnu: Add fontmake.
Date: Tue,  1 Aug 2023 09:05:57 +0200
Message-ID: <DU2P193MB2132A3819110619AB4C45D77F30AA@HIDDEN>
X-Mailer: git-send-email 2.39.2
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [XpmJnGK73hx60OkwoF8Rk2zXBV+NIdxU]
X-ClientProxiedBy: MR2P264CA0189.FRAP264.PROD.OUTLOOK.COM (2603:10a6:501::28)
 To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <634d865374b86460968ebe0b0af0de286d41d1e7.1690873366.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AS8P193MB2320:EE_
X-MS-Office365-Filtering-Correlation-Id: a7a49343-a165-4abb-5115-08db925dcb25
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: u6Yh6hVSae0YtI6e2K3HCTtktGAuQPtRD4ecEpefmJ/4Jo5gk2LKczUPcPKNmNCJezgsGkdN1vCNUy0hPHJw++uRxRaqhrVu1KQkR7qzlYhYnp0AHxqoeed4h+n3cgxGI50nSwjO0n/0E47x5QDpvT/5pAUAr5vG15h+0/1GTViqqMKzoJMHf/Ds35Z761T6o9i7YGkQLpX+veI2/BXa3Cpy+w+3Uds/cdmVs6/s2ubZzcYO6jdSgxw9UAxAgLXHNzqdxIzai0GHB7u/c7HONEabPyI7glLC3wlwnr6O0Mw4/3wZX+BOJkxWnk6Xm5/qnECiKtd2FnjeVWI5wLiGcv2MTbiqr9fGVb8wa4HUtOKEhwnrL4oakvu1GBy5we4+Y0NBbPJcLQ4Wo7BWFxtRcJe1MOOA5jCgLN8gSm46mRdvuMRVFs2vjqcq712tsjUfa/VfinkNVL3w0gTrWZwKYLubxOWBmDaeDXhb5DGAPxLTAPaR4Bk1e7uC96ehFdm0ZkyLmP0m8j1NbHJJHi1KpEE1YybtxU3B/o1r1h5By8Rn0nDvQ2A5+kyIRtdkLNuvFlMC+jWRK9lEhx4e2o3BK3UAXb8tz1Gr1W0a1tCRTwo=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?v24TSgvcEeMB8AlSCg784tcWb6SYIlA0ETO6ycY5QPpZ/vgVJvxjEDwTHf0d?=
 =?us-ascii?Q?0FygnM7BWs6Y51a4ONRUVoRo4Cnw6fWOe2lVS2AV86yJZr8u0gLRveoon5hf?=
 =?us-ascii?Q?Vo4DqqLebPbZytJJLlDWxeKVo7FFWIsdSjBVrJN+tvoXyN8foErMQlhE69U/?=
 =?us-ascii?Q?9D5hmeVinqOLzMQwaV5NAOzRI4ySS29RAXvQ9wdcZa0q21uDOEKZI+1f1HiS?=
 =?us-ascii?Q?Ia69R8msVk1Wumhoc5NDKEoZcyHn0wzV3nDkAvXx2+lf224WmOaclkaU0ROb?=
 =?us-ascii?Q?Ywa4XldLqdJao0A1Zpgs0xiOeQTVHZzeK0O61cAXeTGhmsvsxDmm6mb4XTdJ?=
 =?us-ascii?Q?4ddAtvhm+JjcKfd5ixy6EjviVGzC9FVlfoX4NKGsypzGvlmvk9HN/4YXRgxF?=
 =?us-ascii?Q?u+GTLLYx4NBannK/FhO0j2i7pFJzWPnAe1VW8K130AeCfbfyV+ign3fRhP78?=
 =?us-ascii?Q?a1/l2V3odi9QyITl9blA6l3jV3LzRLAWKgZ2M87rTHFOOU+G54vp8hx7yVvo?=
 =?us-ascii?Q?ZR5ZxNeN/qfmFrTMbz+onrKz0YrLkIpF820cMBQv8ZpEL+0JCbkqX7ZGkBeD?=
 =?us-ascii?Q?fC/VqFekhm7aMoKNI2DK3RWXPt+KvYVHR7qCfWLd7mMcOz6J2NfxTH1SZz8T?=
 =?us-ascii?Q?JaSLAmoYgNj5x57bTB7zQp64O09avo18KEv5T5ckA47BYZkHEE/mF9ELD/ZG?=
 =?us-ascii?Q?wBkTya0l8oG9UFS0Fo0cMmqaP/438ZzPpZ114bgZYitFlBvZPZqUnpNWRBL9?=
 =?us-ascii?Q?I9C61ajzR4dEkPdzSZ1q64RIVsqCm7+kPOK2wZMxo64UiGeyxmMLpJI7yYED?=
 =?us-ascii?Q?LhmrdS52M8msgQnxr5xkDzlLFU/fBopHehkj9mLACLBiZW+MH5AsX3LGN3Vo?=
 =?us-ascii?Q?fVqY9C6C63LjgaWJ8WvrYWa8sWzm22oEkVisD5aV6+C5YzbLQ1Xr0wbrkxQx?=
 =?us-ascii?Q?d6cuI4pFTCcuhVByC3+CebwaLjpVpkutH9BCzjEUHcsGVPIzcCalg89UxlvI?=
 =?us-ascii?Q?FbSCkOXL+poZ+U+/GYZSxIY/Iw+MmJrhZgi+tbbaEeIVFBCxz4CGY8QSSb2k?=
 =?us-ascii?Q?rQjVCjEU2Lhme387fsb0zTdV8ehWaojljuY0ptLvHg+QhoCh4JkL977FHR9B?=
 =?us-ascii?Q?D3LzR/4NOxT4C/jF1fZgCDtI1oNXdL9ErV8IAcT1ym9ZL+Ri8hll6VcOpql1?=
 =?us-ascii?Q?hU5PmR61g5/Zn9nfctY/rIbnQi+kCTG2GfDMX8/e+2Tcr3hyCuoZqoMPx9g?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: a7a49343-a165-4abb-5115-08db925dcb25
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 01 Aug 2023 07:06:14.3823 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AS8P193MB2320
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 64957
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (fontmake): New variable.
---
Good morning Hilton,

I had missed the markdown suggestion from V2. Here you have the format
corrected. I will wait for the update of `python-attrs'.

Have a nice day.

 gnu/packages/fontutils.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 153602b4b4..3ee3dc76ab 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -776,6 +776,28 @@ (define-public psautohint-font-data
        ;; Code Pro, Source Serif Pro, all available under the same license.
        (license license:silofl1.1)))))
 
+(define-public fontmake
+  (package
+    (name "fontmake")
+    (version "3.4.0")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "fontmake" version ".zip"))
+              (sha256
+               (base32
+                "0fc5c9csjpy1aa4c03p7nvjgls5wjplhmmf42n0cmvrlh6cm7wl3"))))
+    (build-system python-build-system)
+    (inputs (list python-fontmath python-glyphslib))
+    (native-inputs (list unzip python-setuptools-scm))
+    (home-page "https://github.com/googlefonts/fontmake")
+    (synopsis
+     "Compile fonts from sources (UFO, Glyphs) to binary (OpenType, TrueType)")
+    (description
+     "Fontmake compiles fonts from various sources (@code{.glyphs}, @code{.ufo},
+@code{designspace}) into binaries (@code{.otf}, @code{.ttf}).  It can be used to
+create static instances and variable fonts.")
+    (license license:asl2.0)))
+
 (define-public psautohint
   (package
     (name "psautohint")

base-commit: 55e89da207b95230e5f2a8176acd9cc9b43971ff
prerequisite-patch-id: c56db9fa7fc4e07452dea53f2d450bd83abbbc1a
prerequisite-patch-id: 3e6318d61f2efa01f4435152f2139eef8f72572c
prerequisite-patch-id: 1b23c59bab92820a1e102137909922f4d71ed8f9
prerequisite-patch-id: 78a291411f8d86beabbf6d49df0cc78702ad4e65
prerequisite-patch-id: 579224b39cae7869ce11e2e8dba046b5eef606c7
prerequisite-patch-id: f1f62fd5d83d603ca35c17071e615352e90753e3
prerequisite-patch-id: 1843bca37f83e494be67c24e975727fb1fe1248c
prerequisite-patch-id: 5cc0d6cd16ae2ab21c444ed9cabfeea5615e8cda
prerequisite-patch-id: 92a3fab6e4174a4d4877fc5b426752df81e4df39
prerequisite-patch-id: ebf3fd3a8bb02f7dc5cdf504f63d5028b29fe69e
-- 
2.39.2





Information forwarded to guix-patches@HIDDEN:
bug#64957; Package guix-patches. Full text available.

Message received at 64957 <at> debbugs.gnu.org:


Received: (at 64957) by debbugs.gnu.org; 31 Jul 2023 16:39:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 31 12:39:33 2023
Received: from localhost ([127.0.0.1]:53400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qQVvh-0004tC-4I
	for submit <at> debbugs.gnu.org; Mon, 31 Jul 2023 12:39:33 -0400
Received: from mail.boiledscript.com ([144.168.59.46]:50898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hako@HIDDEN>) id 1qQVvf-0004t2-Ca
 for 64957 <at> debbugs.gnu.org; Mon, 31 Jul 2023 12:39:32 -0400
Date: Tue, 01 Aug 2023 00:39:21 +0800
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ultrarare.space;
 s=dkim; t=1690821285;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=Z/r97shKJ70NUgSUyDnRH+nL7bo5p0sbccDzDi3k1JI=;
 b=NBY1fQGvFz2LdvklLtlWi/+7HDbEeV52T6kOJoIwSyhUFwMX7OSt6+68v2ofIYv86Dts2u
 Mj8z78/TTDHCKOTaORq3qq+Gl2xqunIDgk6IkOeExIBTdoRXfnbvP0mmYfD9KqMMlHQMnW
 L58iPa1GO0OdWpYbOH37T7zKNsZ4UNsNyEIEArMUY8RwfKgQDf7lqdeN+bcf/V0qg/nunR
 bSulxXpgN7vtZM7pv1Dk/k2OJHozlne0jCxJk5XmpKSG+aiVRAUgpQnvuE19XUh72paUKH
 DFJ768UMUuZ9f47f9RSAI5cIps0JJSsCcFJC8xXDGXkbQ0Y8PHpyuhYioJN/Kw==
Message-ID: <877cqgrq6e.wl-hako@HIDDEN>
From: Hilton Chain <hako@HIDDEN>
To: Sergio Pastor =?ISO-8859-1?Q?P=E9rez?= <sergio.pastorperez@HIDDEN>
Subject: Re: [bug#64957] [PATCH v3] gnu: Add fontmake.
In-Reply-To: <DU2P193MB2132B875AD4B8F9AF87277E5F305A@HIDDEN>
References: <DU2P193MB2132166790F9B80DA520FE86F304A@HIDDEN>
 <DU2P193MB2132B875AD4B8F9AF87277E5F305A@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spamd-Bar: /
Authentication-Results: mail.boiledscript.com;
 auth=pass smtp.mailfrom=hako@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 64957
Cc: 64957 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, 31 Jul 2023 16:29:34 +0800,
Sergio Pastor P=E9rez wrote:
>
> * gnu/packages/fontutils.scm (fontmake): New variable.
> ---
> Good morning Hilton.
>
> Here you have the changes applied. I've reduced the `inputs' field to
> `python-fontmath' and `python-glyphslib'. Also, the personal sentence has=
 been
> changed to impersonal tense.
>
>  gnu/packages/fontutils.scm | 23 +++++++++++++++++++++++
>  1 file changed, 23 insertions(+)
>
> diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
> index 153602b4b4..9a65538599 100644
> --- a/gnu/packages/fontutils.scm
> +++ b/gnu/packages/fontutils.scm
> @@ -776,6 +776,29 @@ (define-public psautohint-font-data
>         ;; Code Pro, Source Serif Pro, all available under the same licen=
se.
>         (license license:silofl1.1)))))
>
> +(define-public fontmake
> +  (package
> +    (name "fontmake")
> +    (version "3.4.0")
> +    (source (origin
> +              (method url-fetch)
> +              (uri (pypi-uri "fontmake" version ".zip"))
> +              (sha256
> +               (base32
> +                "0fc5c9csjpy1aa4c03p7nvjgls5wjplhmmf42n0cmvrlh6cm7wl3"))=
))
> +    (build-system python-build-system)
> +    (inputs (list python-fontmath
> +                  python-glyphslib))
> +    (native-inputs (list unzip python-setuptools-scm))
> +    (home-page "https://github.com/googlefonts/fontmake")
> +    (synopsis
> +     "Compile fonts from sources (UFO, Glyphs) to binary (OpenType, True=
Type)")
> +    (description
> +     "Fontmake compiles fonts from various sources (.glyphs, .ufo,design=
space)
> +into binaries (.otf, .ttf).  It can be used to create static instances a=
nd
> +variable fonts.")
> +    (license license:asl2.0)))


I mentioned the description in V2, but you might not notice it.

Synopsis and description use TexInfo format and @code{...} can be seen
as `...` in Markdown, you can run `./pre-inst-env guix show fontmake'
to see if it's displayed correctly.

--8<---------------cut here---------------start------------->8---
     "Fontmake compiles fonts from various sources (@code{.glyphs}, @code{.=
ufo},
@code{designspace}) into binaries (@code{.otf}, @code{.ttf}).  It can be us=
ed to
create static instances and variable fonts."
--8<---------------cut here---------------end--------------->8---

I have sent a patch to update python-attrs[1], I'll ping you once it's
available in master.

Thanks

[1] <https://issues.guix.gnu.org/64973>




Information forwarded to guix-patches@HIDDEN:
bug#64957; Package guix-patches. Full text available.

Message received at 64957 <at> debbugs.gnu.org:


Received: (at 64957) by debbugs.gnu.org; 31 Jul 2023 08:30:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 31 04:30:06 2023
Received: from localhost ([127.0.0.1]:51780 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qQOI2-0003bK-H7
	for submit <at> debbugs.gnu.org; Mon, 31 Jul 2023 04:30:06 -0400
Received: from mail-he1eur04olkn2050.outbound.protection.outlook.com
 ([40.92.73.50]:22509 helo=EUR04-HE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1qQOI0-0003aH-Ft
 for 64957 <at> debbugs.gnu.org; Mon, 31 Jul 2023 04:30:05 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=mBZ2ac3AqZmhpAKOK2vwFBOIHJLDgrHOO+5ctWpPU6BQvL/UnwjtrcJcxS8zbme00OA6BlbnWvvqG9JPIBjYxQIOs2JmKpUc9CGQGA2C//suNIKUy3PX8jj6QutJmB3rhY0y2ZTNkFMnpgVR7O74u8rLtwcRAhFYwk/DRVNSitvIKctgKy4KTSES7DEKIklnTXhD7opZx63psxDvUCFyRQXMSpT8l0qjijizntYE37XhqCCtIzCVVa9RX079zH3b/ctQWQsfku/h2EYjhDASZFvHt+QT25WMakKM8qpCtA1YNtnGcpqSR7+65SGPY3tBaVzr1ZfnK83NE1Kb7e5PGA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=tlNShe+6gjPa5r8EJHxEvyc2pK0EKCMmTkmtGj/p0YI=;
 b=jAvaKtVzCAdFTzNSWDVG9uN07Hy48YrMRO4nwZ2xIK7/uTPMhnkdo8eaF68HnvcjuRPNjD1XyJR0aoWS6XPNArEAjsSH7vfV9ASN/La8hMxYgWitHCAip7VmWZIoPnRv8M7CLsQWorw4lNm2Ed127qd3e33sv2POvpBCvaYEKjHToMtoRJAYecQvanFEExcxEreX8Zxw3Wy5vMByu5hHxWVAKAfDDZt95y/M3Yk35+wo75vp6czdBltr+KYywzcTM7U/4s+AMlSWAzBuee2HqiYFU5xc/uSvRAj9ED2fbY6ZomGtuRjJpqe5tE6PFyN++rBX+fLgYVz0AJJ8oi5S5Q==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 AM9P193MB1636.EURP193.PROD.OUTLOOK.COM (2603:10a6:20b:307::5) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.6631.43; Mon, 31 Jul 2023 08:29:57 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::4054:570:51ed:6d25]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::4054:570:51ed:6d25%4]) with mapi id 15.20.6631.043; Mon, 31 Jul 2023
 08:29:57 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 64957 <at> debbugs.gnu.org
Subject: [PATCH v3] gnu: Add fontmake.
Date: Mon, 31 Jul 2023 10:29:34 +0200
Message-ID: <DU2P193MB2132B875AD4B8F9AF87277E5F305A@HIDDEN>
X-Mailer: git-send-email 2.39.2
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [6sowbH6hmk0hqV7VD4ukMWcqyAaEel3a]
X-ClientProxiedBy: MR2P264CA0132.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:30::24) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <0981bbb39ac7d44e37b5756c54e0e0b68f3ec948.1690792004.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|AM9P193MB1636:EE_
X-MS-Office365-Filtering-Correlation-Id: 7d998198-608d-456f-7961-08db91a052a4
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Fy1l2SJYINE4zDcaTKyRfpdys8J/u2LyvWTc2Fq+zwMlh8ESYr+Ly6XFaZod7T98bRMnuEosVV4WL0F2CTYGDkJ52WgMuXB7m8/G2HDCNQBKXN15XimcUnNJ+R113xQKsW3bMahOWY9ziw6foA9iYuB8xcw2UjhSDiDaQKTXFXmq6WEITB+oJZFtT8aBE0Wce3FrvXn59jv68Fh1VxqSjHhRFiuM/hnK0RoZk5VO5BNxDeAEmlM9nEWCBDq+AG3jXvfFV2yDlb3JRa+Qh3ZwvJ6mnS6czh74QOqRZZH3Q4N8OC25tFyNS6ojZpvD8TkdD7zg1KxYSyv+wpwR1C3s1CrKmwkE1FZnorXMN+e5WLVTLbCrkZdFiMR1SRs85CAmdixoLmIat+pUx9gXVIUCFRdUkUr2xxT9gTy12P68xBgJhbWKnqqgII4BIU3RVqmpljnVBAw1zjqQXJL5TkWc6ZHvMSd0ktweHaK8cLRExn9qEnyWP3gu4hkFQnQgSewY7frSpav1U2rlkhEjfAzhOtneE04Upl1wTw1gaLdvLKHstpZfX88wGKk5HGenBoHO8EQFHrWK7WPYA5f5pSN0v0LHUbqfY56VFugGUGJQLZ8=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?ja5EGkxtwQ8rYXeacfXYwe+TIWcG+6k/Ngg0fNJeVhom2UQnhZtIHtKT5xBI?=
 =?us-ascii?Q?UF9N9MEpqUxXxtTUh+2zZWx3Nn21uBunyBXx99VZPBjlsJk1JKtLmqz81KpX?=
 =?us-ascii?Q?M2ktY5prR2HQ/TNtglvxWrGODp7IrPygQiD623T6uVriFF/G57D7KqWgf7c4?=
 =?us-ascii?Q?Yp0Bz0VN+rwbs1rU016/Z5K19LDxIYO51qZUhZBb/xaYmfiMPSIVqG5OkA4p?=
 =?us-ascii?Q?lzoSZ91hXQXvXgVi+xZHmVRfyGko/ZwqPs1lJ3pPnTzXS0qr1n8vMFjsCrjI?=
 =?us-ascii?Q?xGlTD413hEFwuO7zEkQ0YyJTYVU4P3ORCsGy67MCM43UWTTHIGj5/7glOjsi?=
 =?us-ascii?Q?PaockSItKbASZG3DNuI47N/8IoA8MdZ8NXSnN1u19KLjQui4lItZ2qCjxHtc?=
 =?us-ascii?Q?fmF3gQ0j/8LEgTEKXvKxjqRY1TUP3KjLDAuCx3+Cm9P6El94fhjw85F6Um/5?=
 =?us-ascii?Q?pAlKc/avbCtBYCSgUiA9a+c6rAR4la3FHtVck9kWi+E+1XLiT+rmaV6M7de4?=
 =?us-ascii?Q?f49WM9X33UH/Zn1I5jXDRtEagbczjRAynIE3cDdc/a5sNRL6ndRsW4wf4Ok9?=
 =?us-ascii?Q?qgPOsxM3Wq+ZZZ6RrsZOCSGl0f7t+aHU1ygfM0ibOPnHTPcE93b5Y+J1o31A?=
 =?us-ascii?Q?eMd0yunI7y7nD+YD2oHwW1MOwFyx1WcmgNqIEKmlZWNlOuDofmTvY7V9fETK?=
 =?us-ascii?Q?7WR+gXwUxIlpw+WT5rNj0NW6pJ9tn8Lli06umwK+H+q+a4WbuFZ4kfIYyOXO?=
 =?us-ascii?Q?Ntfw68iFTFs6f140noLFurDCT1+fU8cV6zkr57ouJL+vozwxn3a7jYC6iE0H?=
 =?us-ascii?Q?LmwzqZki6JGb1huJPOuorE0RQQz/mAy+sjFeFguwXNY91zc0hOJMojf7XlHL?=
 =?us-ascii?Q?JnB9Jq+kq0jMebOVU95Ae/1zf5gIC1/DiYZXAYpav316EgDo00sySDGc6cAi?=
 =?us-ascii?Q?NeEMPWfWtvOy2nucsK+QVU1OE0eqa06Z2fyS3R8cvScmzxMAaoXs7ELqXmf+?=
 =?us-ascii?Q?iU+2pocYed72F4qnYZZDbNHHnu3pH+BN8Lp5jlyTXOCA5Oi9DjEZ496Gdgr4?=
 =?us-ascii?Q?9Y0u3P6Xu9+i5/KOi+RRzEhssNaXaJx1w2yjH+bYGMExF8We++DV1mvxPM9U?=
 =?us-ascii?Q?sNqKa+8eUdn7oDgdDpqQOway6JfVupGjXd6xDT3S7J05vgIokY0/lwKGEt19?=
 =?us-ascii?Q?XEdjaRu6nrhiicqqrT8hTV+jkBrgaKdwMxesaXma/HeDEcQYjGyGZAHIbQ4?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 7d998198-608d-456f-7961-08db91a052a4
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 31 Jul 2023 08:29:57.3436 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM9P193MB1636
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 64957
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (fontmake): New variable.
---
Good morning Hilton.

Here you have the changes applied. I've reduced the `inputs' field to
`python-fontmath' and `python-glyphslib'. Also, the personal sentence has been
changed to impersonal tense.

 gnu/packages/fontutils.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 153602b4b4..9a65538599 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -776,6 +776,29 @@ (define-public psautohint-font-data
        ;; Code Pro, Source Serif Pro, all available under the same license.
        (license license:silofl1.1)))))
 
+(define-public fontmake
+  (package
+    (name "fontmake")
+    (version "3.4.0")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "fontmake" version ".zip"))
+              (sha256
+               (base32
+                "0fc5c9csjpy1aa4c03p7nvjgls5wjplhmmf42n0cmvrlh6cm7wl3"))))
+    (build-system python-build-system)
+    (inputs (list python-fontmath
+                  python-glyphslib))
+    (native-inputs (list unzip python-setuptools-scm))
+    (home-page "https://github.com/googlefonts/fontmake")
+    (synopsis
+     "Compile fonts from sources (UFO, Glyphs) to binary (OpenType, TrueType)")
+    (description
+     "Fontmake compiles fonts from various sources (.glyphs, .ufo,designspace)
+into binaries (.otf, .ttf).  It can be used to create static instances and
+variable fonts.")
+    (license license:asl2.0)))
+
 (define-public psautohint
   (package
     (name "psautohint")

base-commit: c173819c8e5235ce02d60b79bd88b10023a7c614
prerequisite-patch-id: c56db9fa7fc4e07452dea53f2d450bd83abbbc1a
prerequisite-patch-id: 3e6318d61f2efa01f4435152f2139eef8f72572c
prerequisite-patch-id: 1b23c59bab92820a1e102137909922f4d71ed8f9
prerequisite-patch-id: 78a291411f8d86beabbf6d49df0cc78702ad4e65
prerequisite-patch-id: 579224b39cae7869ce11e2e8dba046b5eef606c7
prerequisite-patch-id: f1f62fd5d83d603ca35c17071e615352e90753e3
prerequisite-patch-id: 1843bca37f83e494be67c24e975727fb1fe1248c
prerequisite-patch-id: 5cc0d6cd16ae2ab21c444ed9cabfeea5615e8cda
prerequisite-patch-id: 92a3fab6e4174a4d4877fc5b426752df81e4df39
prerequisite-patch-id: ebf3fd3a8bb02f7dc5cdf504f63d5028b29fe69e
-- 
2.39.2





Information forwarded to guix-patches@HIDDEN:
bug#64957; Package guix-patches. Full text available.

Message received at 64957 <at> debbugs.gnu.org:


Received: (at 64957) by debbugs.gnu.org; 31 Jul 2023 07:26:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 31 03:26:07 2023
Received: from localhost ([127.0.0.1]:51708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qQNI7-0001zP-GD
	for submit <at> debbugs.gnu.org; Mon, 31 Jul 2023 03:26:07 -0400
Received: from mail.boiledscript.com ([144.168.59.46]:58986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hako@HIDDEN>) id 1qQNI4-0001zG-FA
 for 64957 <at> debbugs.gnu.org; Mon, 31 Jul 2023 03:26:05 -0400
Date: Mon, 31 Jul 2023 15:25:38 +0800
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ultrarare.space;
 s=dkim; t=1690788080;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=+CtbW00PYkTctBY726jTRTgP4Hn1d2KjHh6vtAyj2yc=;
 b=F4XzKakVf8jIrbR6aNZJ3aRtSQbnZs3fPFFNGVNJHJhQ3OyZPo8ssIB+Nc0zxMxOnyVMSw
 7X3jO+X7WZ+qAgJH1ipMJeyosh6k4kgWkIwmgZIAze7AmN2Z9bAN7Ns/rFxkmKCRoIMZca
 hpcZv4UuvkXwFdJbG3h5v0ZtpdAwu438XAk4E8FXIJvbKlUBeLf1BIjWhILmCXoLy4LMw4
 8JaacQL0+fzN9x/ge6nOrPnA3FaI8eL//dOPoWMACMw3pmAqUx97+RO0zZPF1a/tkjSvrN
 ziBO6KhGQWkrJ1+JPQSPJ7/3FH26CnZc5+Hp/ZpyThFcFEHYJRfPQ4rOaQMZyQ==
Message-ID: <871qgoa6fh.wl-hako@HIDDEN>
From: Hilton Chain <hako@HIDDEN>
To: Sergio Pastor =?ISO-8859-1?Q?P=E9rez?= <sergio.pastorperez@HIDDEN>
Subject: Re: [bug#64957] [PATCH v2] gnu: Add fontmake.
In-Reply-To: <DU2P193MB21325E442346CEE15890963BF304A@HIDDEN>
References: <DU2P193MB2132166790F9B80DA520FE86F304A@HIDDEN>
 <DU2P193MB21325E442346CEE15890963BF304A@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spamd-Bar: /
Authentication-Results: mail.boiledscript.com;
 auth=pass smtp.mailfrom=hako@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 64957
Cc: 64957 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, 31 Jul 2023 06:22:17 +0800,
Sergio Pastor P=E9rez wrote:
>
> * gnu/packages/fontutils.scm (fontmake): New variable.
> ---
[...]
> Regarding your concern for the version bump, its currently not possible to
> update to `fontamke@HIDDEN', this is blocked by the versions of the depend=
encies;
> for example, the latest versions we have available on the official guix c=
hannel
> of `python-glyphslib' is 6.0.7 and `fontmake@HIDDEN' requires
> `python-glyphslib@HIDDEN'.

Ah, I see.  A newer python-ufolib2 is also required, which requires a
newer python-attrs.  I'll look into updating python-attrs.

I'm not sure if an old version will be accepted, so you may have to
wait a bit. ;)

> +    (inputs (list python-attrs
> +                  python-fontmath
> +                  python-fonttools-minimal
> +                  python-glyphslib
> +                  python-ufo2ft
> +                  python-ufolib2))

Most of the dependencies here have been propagated by python-glyphslib
and its dependencies.  It's sufficient to keeping only
`python-fontmath' and `python-glyphslib'.

But you can also keep them all if you prefer, in which case I'd
suggest replacing `python-fonttools-minimal' with `python-fonttools',
since the latter has been propagated by python-glyphslib.

> +    (synopsis
> +     "Compile fonts from sources (UFO, Glyphs) to binary (OpenType, True=
Type)")
> +    (description
> +     "Fontmake compiles fonts from various sources (.glyphs, .ufo,design=
space)
> +into binaries (.otf, .ttf).  You can use it to create static instances a=
nd
> +variable fonts.")

"@code{.glyphs}, @code{.ufo}, @code{designspace}" and so on.

How about changing "You can use it" to "It can be used" ?

> +    (license license:asl2.0)))
> +
>  (define-public psautohint
>    (package
>      (name "psautohint")
>
> base-commit: c173819c8e5235ce02d60b79bd88b10023a7c614
> prerequisite-patch-id: c56db9fa7fc4e07452dea53f2d450bd83abbbc1a
> prerequisite-patch-id: 3e6318d61f2efa01f4435152f2139eef8f72572c
> prerequisite-patch-id: 1b23c59bab92820a1e102137909922f4d71ed8f9
> prerequisite-patch-id: 78a291411f8d86beabbf6d49df0cc78702ad4e65
> prerequisite-patch-id: 579224b39cae7869ce11e2e8dba046b5eef606c7
> prerequisite-patch-id: f1f62fd5d83d603ca35c17071e615352e90753e3
> prerequisite-patch-id: 1843bca37f83e494be67c24e975727fb1fe1248c
> prerequisite-patch-id: 5cc0d6cd16ae2ab21c444ed9cabfeea5615e8cda
> prerequisite-patch-id: 92a3fab6e4174a4d4877fc5b426752df81e4df39
> prerequisite-patch-id: ebf3fd3a8bb02f7dc5cdf504f63d5028b29fe69e
> --
> 2.39.2

Overall LGTM, except for the version thing.

Thanks




Information forwarded to guix-patches@HIDDEN:
bug#64957; Package guix-patches. Full text available.

Message received at 64957 <at> debbugs.gnu.org:


Received: (at 64957) by debbugs.gnu.org; 30 Jul 2023 22:22:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 18:22:43 2023
Received: from localhost ([127.0.0.1]:51348 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qQEoF-0002cz-GV
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2023 18:22:43 -0400
Received: from mail-am7eur03olkn2073.outbound.protection.outlook.com
 ([40.92.59.73]:29153 helo=EUR03-AM7-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1qQEoD-0002cn-Lw
 for 64957 <at> debbugs.gnu.org; Sun, 30 Jul 2023 18:22:42 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=VwlGKiINveLBEh/qPz9CIlpxzxZbOFmYVPYtCX/sJt4XSBHvN8ZIR+iJgopetXmz7l0eE0Ri+qN1yxpTZrnJDfNFGBTew5PcRoEr9gG/zymm7LFZ3VLnFaypVa4tODUvdiRTZ6mQ1Kw+LA26X2/qvEZsmtmwSnj99EaH8LpXABuAY0+4ZgQVGcMrpzH7tYIrPd/LFjwZ5ILnDfys9ccLuKNOCDHdItJcrD0BS2jRN8G8DKDgXq504vgmkQD43AAW5tbyD76JRL31G96fsd0kWC+tJwb9ZVyeM2tLvf1VFKlMqA6YPEdymjIiaW1J3orRvs6tcerw4PHC02oLUkDFxQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=8JB4bdNxQ8hU/3BLirLxZIjGQv2NxRuabwFmwz8nlYM=;
 b=S4E+gWeDG3/9tMraX93ePMGNhaOXc9h+I6bXYeo4Un0IH1lIrxkq3RJpNmHngG5R3N6oTeuX6THg49yoMe1ml6LCT98CwJydSkPXHayUHK0SOcXg537+LMQDqKQ4LI+f7bKOZdQhbDz4Q2lhXD2igylOLcAE8vuKT8p5pMn12gmkFrVfsJtipRu/HyUpyv2qjV2K8hZ9wOvjRasH/YszKK3A9c1XU603XrSYG3iT0uoJ18fdR9Jl05KaJe9UygWwIJ7friqWaAUFDbPcILNfgggTVZpkZj43Oblbb2F0bzoTRLUqr9BgQQ4cq5r6md8s4yQZXoDPeCDKKhqmkBRKAQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 GV1P193MB2406.EURP193.PROD.OUTLOOK.COM (2603:10a6:150:1e::18) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.6631.29; Sun, 30 Jul 2023 22:22:34 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::4054:570:51ed:6d25]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::4054:570:51ed:6d25%4]) with mapi id 15.20.6631.042; Sun, 30 Jul 2023
 22:22:34 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 64957 <at> debbugs.gnu.org
Subject: [PATCH v2] gnu: Add fontmake.
Date: Mon, 31 Jul 2023 00:22:17 +0200
Message-ID: <DU2P193MB21325E442346CEE15890963BF304A@HIDDEN>
X-Mailer: git-send-email 2.39.2
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [0qbzi/LfimyFNaMRQKzagq3OVfPXr9dM]
X-ClientProxiedBy: MR1P264CA0118.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:501:50::25) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <954da47d64edeae42702716a07aee5a5545aa16f.1690755275.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|GV1P193MB2406:EE_
X-MS-Office365-Filtering-Correlation-Id: bcc89b17-f89b-4a8d-3d39-08db914b78be
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Y0oEZ9HRa8sKyYL+oPJRiN8sJ/YGzXPwVA3gC9tngf4/CnZOhr1rnDw57NHFpXefws/aDZJasW8VJX2c5vDYt3izSIHmqz1LUGhzyx0VPaulSH1ycvVS1QaSPxUNcAV7xFmW9GinMeg/xsEZNbe4mjPtBkHUj1W1s7tsiGnBZqaO4k12nW6zuPbbSol3q9AiQOGJyWuu7kgl0wZoO+5AELSZsDFFxJSJO2bZw4fqWNiWnBUTojN8XWoA+QJg+cKLiH55Ow0h+HhjdO4RHDuwEMbxNmHZdggyHl2WEvBs0Yk3Z7nt+iOwKKuzYibBLVyhRJbZf9/Rtl+5zj80HYkrwSwG0q/OIlK64h8eoeho0L+SDnTma/YF/ukqv0muStwWcjAzzuuO8hbZTP4yQlCg5aRhhIrkGWKrngPsl1vAGR3vM7Vp0qtJdPzKEMgGpkq5VLtvpq3DgunoifHsdrmUBukQVQqYnbEN3DDZ/2parMsGhh6B0zHMbh0MhE1Ix5vwyOIXudgP7zIjbW0f7P2tCBTqXT32B/iGeDFk/14omAxCBWytDWC6/dVO69Fu/So04UZKsFD6afD0vcklBwZY0Iq4CgD+KmWSUU0weiNJTYk=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?2hGwam6saG6t0N5Fv2+8++U/SqN9a7zgwSH2OTN9X6W5TymQZYTvlwedxvBk?=
 =?us-ascii?Q?9qnohnH76owhpmtBIbcma8PReOhgChYsN2ePkM3ractzWv54IyB2Wl5ib2Oo?=
 =?us-ascii?Q?1M1WeHiSMJO1PQbP8oAMoZCiTlePqVycvylu1gzxiHkSoYoqNb+EfBSGj4oi?=
 =?us-ascii?Q?1TvHD9k9fUFYbeWrPGXHvOvx3jITL4brE6cmKvTMBoGlVXFkvcdLVxPviMHl?=
 =?us-ascii?Q?Yu84E2Yx/AnruVro7N8g2VCdhNFTBZyc8ftDt0Q499xIhcv0BMyJgBo4YSmH?=
 =?us-ascii?Q?NwWZ0N/mVhoK6SBnDUTcxORboDgt/kjFAuE7hooRdmuYVHkDhZl1P1Dy+Zgy?=
 =?us-ascii?Q?G2JGZ0AVWU1DkMdqlYVZICcey8X/ZLd+ZKcSBmOajZ3+MLZKvk9vPv8K7nP8?=
 =?us-ascii?Q?yQp3yiHUzL4l/gg9Oa0MPjpHiWRXmmFQ48TY7tOvfGKXrCDosgd3eGceJ1hO?=
 =?us-ascii?Q?1nrc8Afkd/YNy/nlfey9cjupTTRw/0vMjskREXA8joEM5/ZkrLC0965FmeFD?=
 =?us-ascii?Q?JITkftwNjUlBgi20qUyHU7KO98jJPkXe8FW3HaAtgrrjqTh21mVBfXp02Y/v?=
 =?us-ascii?Q?OS9nFq+n8T0pHQ9YZF3NU0Tx4fEAksUdh/DjUwawy+MXeXnZJcR1sdwxNgfl?=
 =?us-ascii?Q?0ucgb/HeBcGlHgMoHwNO2BmpH7lq2qTBpWojZE2/v+XUZBBG+M+Ek/TzcmN0?=
 =?us-ascii?Q?PBeeAalAyhir0mgGW8PHJIA96tVB5LACR98EnISOky6jbcEQR2rhVcmnMqgg?=
 =?us-ascii?Q?aR2r++xEXfJyvE+YeXPqGXzZQbPjVJJLiEZbHNBl8ykXMMhMk1Q6FzPPyz0S?=
 =?us-ascii?Q?+tw1tFo+toSdpHvmWPzu339xaBtplvzualrPwnoBc+tDBkTqcma5HjjeHSOg?=
 =?us-ascii?Q?GBHzeF1Q4LirYqYfwnO6A8zy38TzAg/G6e897qzPQP/hsfwJX+rvHOXpVJTT?=
 =?us-ascii?Q?QhbqmZi2ZI5e219HaN2UCP2yQwXNQanVNofNX23QVP9ZyrzChzBEwrM6OcLS?=
 =?us-ascii?Q?YmdvACdrjSkYHwshon9qz1xCuwtwqGFL2yp3quwUUbhjwO/LufnC8ahjhBtQ?=
 =?us-ascii?Q?4tQM8LKsABj91FFwwPUAkPCugYrLs7wBDbqhfTAglzxxwFk/EEkcTCnLktzj?=
 =?us-ascii?Q?Goa0w1FmSkYYQWShHcVTZbIFMw6riqa7+Hzd+D0hE36/ZrvHvN2Zg03PC4q5?=
 =?us-ascii?Q?gJPStRwIrlYFbBSbJxlskMzmwKpE6aJfpErb8FE9HE+hyJ+Vms11o1zILF4?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: bcc89b17-f89b-4a8d-3d39-08db914b78be
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 30 Jul 2023 22:22:34.0194 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: GV1P193MB2406
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 64957
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (fontmake): New variable.
---
Hi Hilton,

I've corrected the commit message and moved `propagated-inputs' to
`inputs'. Also, 'guix lint' does not issue any more warnings aside form the
version bump.

Regarding your concern for the version bump, its currently not possible to
update to `fontamke@HIDDEN', this is blocked by the versions of the dependencies;
for example, the latest versions we have available on the official guix channel
of `python-glyphslib' is 6.0.7 and `fontmake@HIDDEN' requires
`python-glyphslib@HIDDEN'.

Thanks for your feedback.
Have a good night.

 gnu/packages/fontutils.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 153602b4b4..57a4b3d2af 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -776,6 +776,33 @@ (define-public psautohint-font-data
        ;; Code Pro, Source Serif Pro, all available under the same license.
        (license license:silofl1.1)))))
 
+(define-public fontmake
+  (package
+    (name "fontmake")
+    (version "3.4.0")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "fontmake" version ".zip"))
+              (sha256
+               (base32
+                "0fc5c9csjpy1aa4c03p7nvjgls5wjplhmmf42n0cmvrlh6cm7wl3"))))
+    (build-system python-build-system)
+    (inputs (list python-attrs
+                  python-fontmath
+                  python-fonttools-minimal
+                  python-glyphslib
+                  python-ufo2ft
+                  python-ufolib2))
+    (native-inputs (list unzip python-setuptools-scm))
+    (home-page "https://github.com/googlefonts/fontmake")
+    (synopsis
+     "Compile fonts from sources (UFO, Glyphs) to binary (OpenType, TrueType)")
+    (description
+     "Fontmake compiles fonts from various sources (.glyphs, .ufo,designspace)
+into binaries (.otf, .ttf).  You can use it to create static instances and
+variable fonts.")
+    (license license:asl2.0)))
+
 (define-public psautohint
   (package
     (name "psautohint")

base-commit: c173819c8e5235ce02d60b79bd88b10023a7c614
prerequisite-patch-id: c56db9fa7fc4e07452dea53f2d450bd83abbbc1a
prerequisite-patch-id: 3e6318d61f2efa01f4435152f2139eef8f72572c
prerequisite-patch-id: 1b23c59bab92820a1e102137909922f4d71ed8f9
prerequisite-patch-id: 78a291411f8d86beabbf6d49df0cc78702ad4e65
prerequisite-patch-id: 579224b39cae7869ce11e2e8dba046b5eef606c7
prerequisite-patch-id: f1f62fd5d83d603ca35c17071e615352e90753e3
prerequisite-patch-id: 1843bca37f83e494be67c24e975727fb1fe1248c
prerequisite-patch-id: 5cc0d6cd16ae2ab21c444ed9cabfeea5615e8cda
prerequisite-patch-id: 92a3fab6e4174a4d4877fc5b426752df81e4df39
prerequisite-patch-id: ebf3fd3a8bb02f7dc5cdf504f63d5028b29fe69e
-- 
2.39.2





Information forwarded to guix-patches@HIDDEN:
bug#64957; Package guix-patches. Full text available.

Message received at 64957 <at> debbugs.gnu.org:


Received: (at 64957) by debbugs.gnu.org; 30 Jul 2023 18:06:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 14:06:25 2023
Received: from localhost ([127.0.0.1]:51219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qQAoD-0004tt-K5
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2023 14:06:25 -0400
Received: from mail.boiledscript.com ([144.168.59.46]:58124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hako@HIDDEN>) id 1qQAoB-0004tl-GM
 for 64957 <at> debbugs.gnu.org; Sun, 30 Jul 2023 14:06:24 -0400
From: Hilton Chain <hako@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ultrarare.space;
 s=dkim; t=1690740099;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=43pJx4c59f3+i4p9ukjTOARaLcZP3tCmPxvrp8ewKtk=;
 b=MTnnOCjaBZJkFgFGJdKKMkVAPAdvi0xWwo4IWepKsxuf7z/sPor12uAKD6W1UXoClzWM+8
 +bUmC35bX/Wm1sogv1zsNtEvpNfT/F0R7U8/l/IyZr5xz/6CWynMDumWnKVJA8RgL7tasl
 13yU2CjzTKecaOcHG40g3oU349bauSgZLzuXXpJly85ehxsGnG0Q68IyxEdJLkBnsdXTF/
 5p7E7bgR6L+lZ01jqjrWgjYS9mlwixYMiuqpy2VBFQ/+eUDyVYpp8/10Wt5w4sZAq6oorU
 l/dUDHG2g+NaHNKJxTXf4zovQlkueaGhMJrO9K3HT/m4Y7mdly09luaZrqLkGg==
Date: Mon, 31 Jul 2023 02:06:00 +0800
Message-ID: <87o7jt1dh3.wl-hako@HIDDEN>
 From: Hilton Chain <hako@HIDDEN>
To: Sergio Pastor =?ISO-8859-1?Q?P=E9rez?= <sergio.pastorperez@HIDDEN>
Subject: Re: [bug#64957] [PATCH vREVISION] gnu: Add python-fontmake.
In-Reply-To: <DU2P193MB2132F9200C4E07100F136590F304A@HIDDEN>
References: <DU2P193MB2132166790F9B80DA520FE86F304A@HIDDEN>
 <DU2P193MB2132F9200C4E07100F136590F304A@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spamd-Bar: +++
Authentication-Results: mail.boiledscript.com;
 auth=pass smtp.mailfrom=hako@HIDDEN
X-Spam-Level: ***
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi Sergio, On Sun, 30 Jul 2023 23:45:20 +0800, Sergio Pastor
    Prez wrote: > > * gnu/packages/fontutils.scm (python-fontmake): New variable.
    > --- Please adjust the commit message as well. 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.3 MSGID_SHORT            Message-ID is unusually short
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  1.2 INVALID_MSGID          Message-Id is not valid, according to RFC 2822
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 64957
Cc: 64957 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Hi Sergio,

On Sun, 30 Jul 2023 23:45:20 +0800,
Sergio Pastor P=E9rez wrote:
>
> * gnu/packages/fontutils.scm (python-fontmake): New variable.
> ---

Please adjust the commit message as well.

> +    (version "3.4.0")

The latest version is 3.6.1, can you update the definition for it?

> +    (build-system python-build-system)
> +    (propagated-inputs (list python-attrs

Please change the `propagated-inputs' field into `inputs'.

It's not necessary to propagate those inputs, as python-build-system
already wraps the final fontmake program to find them.

> +    (synopsis
> +     "Compile fonts from sources (UFO, Glyphs) to binary (OpenType, True=
Type)")
> +    (description
> +     "Fontmake compiles fonts from various sources (.glyphs, .ufo, desig=
nspace) into binaries (.otf, .ttf). You can use it to create static instanc=
es and variable fonts.")

There are some format issues, which could also be found by running
`./pre-inst-env guix lint fontmake' in your Guix checkout, I have
attatched the output below.

--8<---------------cut here---------------start------------->8---
gnu/packages/fontutils.scm:535:5: fontmake@HIDDEN: sentences in description =
should be followed by two spaces; possible infraction at 100
gnu/packages/fontutils.scm:535:0: fontmake@HIDDEN: line 535 is way too long =
(171 characters)
gnu/packages/fontutils.scm:531:15: fontmake@HIDDEN: permanent redirect from =
https://github.com/googlei18n/fontmake to https://github.com/googlefonts/fo=
ntmake
--8<---------------cut here---------------end--------------->8---

And... The REVISION in the `git send-email' part of the manual should
be replaced with a number, for example:

--8<---------------cut here---------------start------------->8---
$ git send-email --annotate -v2 \
      --to=3DISSUE_NUMBER <at> debbugs.gnu.org -1
--8<---------------cut here---------------end--------------->8---

It's used in the [PATCH v...] part of the title.

Thanks




Information forwarded to guix-patches@HIDDEN:
bug#64957; Package guix-patches. Full text available.

Message received at 64957 <at> debbugs.gnu.org:


Received: (at 64957) by debbugs.gnu.org; 30 Jul 2023 15:45:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 11:45:41 2023
Received: from localhost ([127.0.0.1]:51016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qQ8c1-000784-JF
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2023 11:45:41 -0400
Received: from mail-am6eur05olkn2093.outbound.protection.outlook.com
 ([40.92.91.93]:19648 helo=EUR05-AM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1qQ8bz-00077o-7K
 for 64957 <at> debbugs.gnu.org; Sun, 30 Jul 2023 11:45:39 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=dbx2Qwl+ig7+Hb3Oml/BJKxmJxtIQ8fKLq30dfi1+DzqQu98w/1pYvNX3jF88Bn/CcYXfaBSThGW+sq8aIQIynnYbchuiFQ7GH1xnURhtXVFeVWu9x6gVY7PMELKGMvntzdeMp5oVfv7CPQKjP8OfiEEVYXvIbGDQ/iP1/u5vKfXkqcaahtmHNvJK0Xq6Ys6iejvp4NMlDSqMVH5X4lzFeH18DA7HqbbOILZNWzipMZRREyQGgEQknNpN83UFk4E/rVuzpLQy3l0V4Wzn8WWDgpkgYp0ypRVWeIuETOq/uJEDlKt4iufn6GPm4wXI75xgbfSCk1l8jnwvTn1K5Z8lg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=+bJAG5cfX362jX5t05SBgbqH21C/IQpfIFw2M0XoPB8=;
 b=G/Y9F2deCwEzq3HxO48HGOjEW8LZuX0OgFZgTn62ErlBsw5wCUZdofRBn+F6ff2mXaU0EMHsdaVc2aPLBeld/yihWPiTyjO48q22f9I/MRvdax2cgIPr8MEF0KdpgNq2CIBIMwxe8F/4rdUBvxMuid+jtj3sQIWaD4af4gWwtPeHIMSk1myPxtR7zVEmFPaO6cUZ6eo5fBjHDhqRCoaq3WPfXObh0M8q5KKRRrpb8X1QZ06wy+D4SlIiMfvIqyYzEZgQ/STIZonI8ilCbZP406qmsv3Imt0hx/Onnjkup6tJni+6le9XgYLrF0Ie4i5Hpuz7tRgVfcnOJtJkf3Fs/A==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 DBAP193MB1036.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:1c9::5) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.6631.42; Sun, 30 Jul 2023 15:45:32 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::4054:570:51ed:6d25]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::4054:570:51ed:6d25%4]) with mapi id 15.20.6631.042; Sun, 30 Jul 2023
 15:45:32 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: 64957 <at> debbugs.gnu.org
Subject: [PATCH vREVISION] gnu: Add python-fontmake.
Date: Sun, 30 Jul 2023 17:45:20 +0200
Message-ID: <DU2P193MB2132F9200C4E07100F136590F304A@HIDDEN>
X-Mailer: git-send-email 2.39.2
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [XE84/RxZpRHP7WwUQOvivvlyWBRATorS]
X-ClientProxiedBy: MR2P264CA0141.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:500:30::33) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <f08449a39f507476c71c30de8fde5a9822a7621f.1690731872.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|DBAP193MB1036:EE_
X-MS-Office365-Filtering-Correlation-Id: 391708f4-d2f2-4f3a-60b7-08db9114022c
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: lwCdIJw4q7aEtIOY/IpL3+yAH1+iXLTyd3SXEeXWa0789XZgS12Jt6FZSnKNsYCgooH+3zB9lGxVfGcsqo8nFZoBfGlqOUBXa7Znc2u3CHKS7Djr2WavdeTP2j/VX2xrfMsc3U1AK4lCkQ9qknuZN3Kv2LKRhWF43R70je8MLwbuF5j4Zw5yblGs9tIqGD65I7xDCKSIOS9XT1sX+97ToC5bqn5M7dp1tDBBF22bjD4lvJhKTOwFe+/4NzPxluX+ZCQmW8YH8NsJIyjSC/y2/pCQVcg1mo1vaZz4GUrcctRGPThoMYnOHtyz2CNpVffxnTzKIgX5LsvngRsbbxiES3zuN1nU9zQ6IcL0Bc9in0adjZRmUDwWbzYnR8apzJE1NI9qSCYuZAXH1L7qSh2A81hYZncyleUm9LpJSfd4VaB3Q0nQiPx9Frr6DblkQju2Qw+kS5odllS2EDjhywWJ6DnZBIiOdYP/n3LGN9hNnS5BhpQEjP8BdN0nsJCQbaS212yjZUTLP5YTVv8pKG5NAX/iiMMFibwjWNXrfz2uCYknR6oECnRZSnzkMGpVGWr+cOTlYQ2UirUSa3VNSjiD5ljgigkvkHhaf+CKvYr/DZ4=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?1DsEOcf1aiTX3TuXSFSOdufsoMr4RiZazjP0MNq2dVCgGF8z38EgW57YRWaq?=
 =?us-ascii?Q?rlDZ2xdi9fPqahNIUnJJG7sYrzA3Ec11vIeZV/Swrfoj6UlEAVEmkDWsQKi6?=
 =?us-ascii?Q?ETYLFqq69B85nDYAxlBYitIUzIk/V2iJkl0ESCI/93XJ6zF01SfVTQOL92YV?=
 =?us-ascii?Q?jvEf6Xibi8YKuOyD0Jy1rhSLxmm0a2PPLnTSRrBiY80k8bFjk0UruBOqhrqs?=
 =?us-ascii?Q?ZTaCozzmWB7iurBAlu9RptXgpvNdFVkBims+ISZ4A2wfenJx652OKrs7ZmGX?=
 =?us-ascii?Q?31oVrfyH/hxSo91m+OIsJ5gcPyU752EkGotEGQ9DOlBm/wZQGnIxYVKkQx71?=
 =?us-ascii?Q?VhLQUfmGImST2FmkuxvZomoUvDbajY0Kn6Ozwg6t+dVssAhoXUgyj7CWbG44?=
 =?us-ascii?Q?2OAYXg/1aEMHpyTEI7N9AKc7seCWegiYOsyB/9U9TejwqQiLbtI1BYunvXR2?=
 =?us-ascii?Q?lYU2fcGhlD37D4do7mkLJPxd7aWs4s7skjORRodxsy2b+lkjbPyip2bX5IaO?=
 =?us-ascii?Q?GJY7II77deLcKZQyDEOCFA7yCUSooywp3CCW07pMos874FYTSQCXbkkAWq7D?=
 =?us-ascii?Q?0/+scEUP7Y2CEx+pBH4gabwja/Sb0YDx5yB3aoq+qHIMzXnxH/XQh5ehGJgK?=
 =?us-ascii?Q?r0GqbYY3clBuVXNlEY5dS5qWLNNh3dn9BzGH+zcx/MLTrc2oSHPffrk+t44o?=
 =?us-ascii?Q?JhnexK/qzVLWJaAUX+LPTGui4oN5rMoLi4RagbVyNDqB8HjtuX/odnaL4Qk4?=
 =?us-ascii?Q?QcdWJ/rxCLzuLGmoYm9LxS4zIDUl0RHGcJmt/XObto3L5K4StScrFITLVepz?=
 =?us-ascii?Q?o9YwnI5W2ekUXOwmifSqHE+ZoKfU0BDbPxYGKsXBBNczoaX+snLZJn5z7xWo?=
 =?us-ascii?Q?skZwVNxTHahfHzJxBpPxASjoFbHcciPDF4EPu2i/2lejm3B0dxpZYWubuMjc?=
 =?us-ascii?Q?OLY/vBTdPo9VSK6HE7GW93lzT7jNt5CKzzlA4XNYJkL9CftLY60PZP6r1UtO?=
 =?us-ascii?Q?3+pxC8N/1prbxU0skU86uMkXT3W81W0ps++hgroD0hvldyhIhKqb1G/zDWMg?=
 =?us-ascii?Q?Fvsk0rYu/I1Ik0dxLlj2BCfQhqQBLlS730q15UEQ/xe00Z1r1R2Sn2L68Plt?=
 =?us-ascii?Q?ZOpLGtaHbmvRDjMhe6t/iL9J6rJkyJLm1QVST9k9YwEHz6peGJ+3x6MUwiFy?=
 =?us-ascii?Q?nvo/sht8QMPg3nrR1QrDp+V1Snz3XYMsDXgMmGuP5RNkOsFrK/x3byGdXCw?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 391708f4-d2f2-4f3a-60b7-08db9114022c
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 30 Jul 2023 15:45:32.7597 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DBAP193MB1036
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 64957
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/fontutils.scm (python-fontmake): New variable.
---
Drop `python-` prefix since fontmake is not being used as a python library rather as a stand-alone application.

 gnu/packages/fontutils.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 153602b4b4..98cf573d1e 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -776,6 +776,31 @@ (define-public psautohint-font-data
        ;; Code Pro, Source Serif Pro, all available under the same license.
        (license license:silofl1.1)))))
 
+(define-public fontmake
+  (package
+    (name "fontmake")
+    (version "3.4.0")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "fontmake" version ".zip"))
+              (sha256
+               (base32
+                "0fc5c9csjpy1aa4c03p7nvjgls5wjplhmmf42n0cmvrlh6cm7wl3"))))
+    (build-system python-build-system)
+    (propagated-inputs (list python-attrs
+                             python-fontmath
+                             python-fonttools-minimal
+                             python-glyphslib
+                             python-ufo2ft
+                             python-ufolib2))
+    (native-inputs (list unzip python-setuptools-scm))
+    (home-page "https://github.com/googlei18n/fontmake")
+    (synopsis
+     "Compile fonts from sources (UFO, Glyphs) to binary (OpenType, TrueType)")
+    (description
+     "Fontmake compiles fonts from various sources (.glyphs, .ufo, designspace) into binaries (.otf, .ttf). You can use it to create static instances and variable fonts.")
+    (license license:asl2.0)))
+
 (define-public psautohint
   (package
     (name "psautohint")

base-commit: c173819c8e5235ce02d60b79bd88b10023a7c614
prerequisite-patch-id: c56db9fa7fc4e07452dea53f2d450bd83abbbc1a
prerequisite-patch-id: 3e6318d61f2efa01f4435152f2139eef8f72572c
prerequisite-patch-id: 1b23c59bab92820a1e102137909922f4d71ed8f9
prerequisite-patch-id: 78a291411f8d86beabbf6d49df0cc78702ad4e65
prerequisite-patch-id: 579224b39cae7869ce11e2e8dba046b5eef606c7
prerequisite-patch-id: f1f62fd5d83d603ca35c17071e615352e90753e3
prerequisite-patch-id: 1843bca37f83e494be67c24e975727fb1fe1248c
prerequisite-patch-id: 5cc0d6cd16ae2ab21c444ed9cabfeea5615e8cda
prerequisite-patch-id: 92a3fab6e4174a4d4877fc5b426752df81e4df39
prerequisite-patch-id: ebf3fd3a8bb02f7dc5cdf504f63d5028b29fe69e
-- 
2.39.2





Information forwarded to guix-patches@HIDDEN:
bug#64957; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jul 2023 15:36:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 30 11:36:07 2023
Received: from localhost ([127.0.0.1]:51011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qQ8Sl-0006tX-DQ
	for submit <at> debbugs.gnu.org; Sun, 30 Jul 2023 11:36:07 -0400
Received: from lists.gnu.org ([2001:470:142::17]:35756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sergio.pastorperez@HIDDEN>) id 1qQ8Sj-0006t4-Mp
 for submit <at> debbugs.gnu.org; Sun, 30 Jul 2023 11:36:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sergio.pastorperez@HIDDEN>)
 id 1qQ8Se-00056v-DP
 for guix-patches@HIDDEN; Sun, 30 Jul 2023 11:36:00 -0400
Received: from mail-dbaeur03olkn2074.outbound.protection.outlook.com
 ([40.92.58.74] helo=EUR03-DBA-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sergio.pastorperez@HIDDEN>)
 id 1qQ8Sc-0003K4-Tk
 for guix-patches@HIDDEN; Sun, 30 Jul 2023 11:36:00 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=Zqnj4gr6YaCNGSJlMXmhshVdxv8/s5dmMaHVf/ch1V6PYp24bKi6YCjuy2/x6dRpvIVG+I+0f3wkl6efNlsUDZtt8zjZeMKPU06ACXmr1KoR2MdOD+9KwZfIhQxe1pB269A/qMc9erOaz7vgSMN8XfJMKELFlS39jhVMtIGvDNoBlMbZ2lHQFwjAYNhVTwUCiOB+N0Q53LRkMpV99Ko+y/f8vN54sgXEScKwY2x+IFPFMweM1t9BhTgn/JSxtoj/L+IG3ziQyfFhB42DASTH7PHDT1s9Emv6ZKnB9/+9q0sjLEWLblHHjWsjduTy/2gMbjJYihno1TcPLftJB5clLg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=Pg4N+XJodmJM+7SS9yblymG690W5k5pfEoMUeArWUPI=;
 b=cJjTxlZowOkQdKBHtx83ZO9Y0mikVIvuXjM/DWqnXDylLhGRD1oakGYPDHviOsn75AWBmlXqKQjxO4R3U4iahP+uxiIgd7kSE8jh8Ox2AyZgA+9nitq+YY2LL1UaHCw9sILCqYC1SdUddZ5LjURk3F6pBsVZHdDgPZH329T1lURh8xeLqx5J8WK4WTGUcN5a2ZaYY1EvmaS+Ms1FGwX8eLXgkqr5WgtfWF+6gbfGN1PCXPx1VWUlJbYtKUmVLDgdHLjZwN0MKWhzJLeHtJ72OcXSMa8pMskGrqTKUD7tZAZq6bJ4zICPn92PZHdCM4knINunfbGesEGE73KNrTqzzA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM (2603:10a6:10:2f8::9) by
 PR3P193MB1103.EURP193.PROD.OUTLOOK.COM (2603:10a6:102:a2::12) with
 Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.6631.42; Sun, 30 Jul 2023 15:35:56 +0000
Received: from DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::4054:570:51ed:6d25]) by DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 ([fe80::4054:570:51ed:6d25%4]) with mapi id 15.20.6631.042; Sun, 30 Jul 2023
 15:35:56 +0000
From: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add python-fontmake.
Date: Sun, 30 Jul 2023 17:35:44 +0200
Message-ID: <DU2P193MB2132166790F9B80DA520FE86F304A@HIDDEN>
X-Mailer: git-send-email 2.39.2
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [mYDfCYS/QYyXLneMistzxyZo86XUlhJ4]
X-ClientProxiedBy: MR1P264CA0200.FRAP264.PROD.OUTLOOK.COM
 (2603:10a6:501:57::17) To DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
 (2603:10a6:10:2f8::9)
X-Microsoft-Original-Message-ID: <b17c000a3f995912eea677fbe83183857dcc5e38.1690731327.git.sergio.pastorperez@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: DU2P193MB2132:EE_|PR3P193MB1103:EE_
X-MS-Office365-Filtering-Correlation-Id: a80b5903-cd0c-4ca4-794c-08db9112aac6
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: wK3JyWtpS/CVoxjai+vMlrXwyuQNwh9CTwIKHd4lsbs/fZrzHnSfFkGHUiWHNyryTMdFHNmQLw7oFqWVi2RAhCF6ToDOXSbE+TK1pMw2UBiieCxlbIdcqK4g+5UfxcMSh4YSEl84iBvh8gEeRYQHnEAj3LXOodduXh0dAAFL5fM5Yjbk4MijhNH/pgjugFeLa+8ySY04YWGg0nIu4CRLhxG+jFnSUKe3qtEfJsYFNjJ/Pk2t/io6t1JdQrvGZMnefvvGEIpZB0MOc9YjU/SP6SaS/1Bai98SpBnEbiYoioIHm07El4e4KOpFaFqNktcn1H0CEwuFTRlMeDspZirlLDn3rqw6HdEKx6ekEaEi4EyQXETVQxMPRp3Vhqi/4uKf9AWG/bIWLKyNuY9XmUdE/4R5Ye9XxuWJgZTDjJN/JJPuB1lbh2xOYZRpLQi3A8HXdX3W/KTSKmJOT676KxVzN1ucSpLZOWo6uxP+D8E1GOTTSvEiOxDdHABwyPu6B11ogkarhCfpVPAyrAqN3v5SxmeE24I4nLlXjBmhcZJUfdKcxARkTMRHKJIVG/ZRCyq/WmJgVLIQu4V3lmcUnaUYbkj71jpdVoNVbSY0uzeBbPc=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?IyHTsJeWnE+kHqN/ZycfA/w4qf7TCCCt/sh0r1ZGGL6zDh6NqwvsWe7LYOpS?=
 =?us-ascii?Q?vGW14qOmF7cbXNSEhqOAKkAM7FSo+QtDRSW8oVq3N8rjXOBvL2unHd9e3L1d?=
 =?us-ascii?Q?42425vT1KHY8ELnd8g6w/i22gr8WONIGI0YuyU6OQw0HKDXWPl4kgYHp8o1M?=
 =?us-ascii?Q?fHv0z/aCXNPY0NU97nzCCQ1g3A0Hnv6IF+Sw0W7PgtGrTILfAwsG9hHcPrcr?=
 =?us-ascii?Q?oVXnMqyw0vFjOMJNCGQYy3y0FXOmwJyBCjoFWwjZxRDb+NxEBH/+sZ/zAxTe?=
 =?us-ascii?Q?awpdAEeT4fxh+GNr3TpNBQofX1LfTNZG9pk3YIS5Iubu2RU6Ea54SIM5zs52?=
 =?us-ascii?Q?0DR0sDUwhU2pTWyv5Pt4LstY4eUyHyn7iyDWl4sRLYTfOpoNjLsbOyw8Gis0?=
 =?us-ascii?Q?UOyMFFjS4oKxe3VaknukTyTppkLdD+GwmXsbXlQ5JHSs+kHksUWeLranamkB?=
 =?us-ascii?Q?DJ795vtp8IOiFhSe9L9EPdL87hB1bSR7AcgtqVkwp1Oky9DiO9wpwI9XyV05?=
 =?us-ascii?Q?m/xmx4NUIGVCDdPwbDHfcjQsd7PlUJlbRjPEPE8i1RXWgSg20V9DBGCl1jms?=
 =?us-ascii?Q?IChVljncH7+vZpBmdsxW2lfiRe3Z2auDRFH3EPDHQC2X77MQCXltf3VGQMrl?=
 =?us-ascii?Q?VJ/mzFczpmZ47k0vWYABgMJrB7lghBJUYlv4dhysYEjklP5jO+X/Azx62X29?=
 =?us-ascii?Q?fCaYQBChApnep1EWgF4GKS8l2wRvuTUKQyPg2pj1Ql1eDWwetSIRX+MAgiw1?=
 =?us-ascii?Q?9OUXxR2UEkD2POhL+hxL7OlW46MgfqanPktvTdPpQCabZKnkDPF1xLOhJnYF?=
 =?us-ascii?Q?k8EWmJkoJs2a+QHCWzSXtG2iHDKfi93ZXx62+ovri85w500Ov61EY3cNXDZV?=
 =?us-ascii?Q?5T/P1nr/ho68hZwQ+4V97BjWtQuZ2xD1Kk1ZtbmJQlYYCCo+X2fbPlV72x5w?=
 =?us-ascii?Q?plwII3yfFmmQUfIpF4E8hjKHH3zP75MCec3LD8U459LlupdWZvSbP2IS5kP2?=
 =?us-ascii?Q?QPGQ1jG9s82YCXwT9OM7uthcV+4+71HpfLjI3RY7+Dm6el4QI6v+tBYvD/HH?=
 =?us-ascii?Q?B7ikkIQQqy3+W5giWfbpmRLdEb9xNxAjbuq/LlWPpPqOQn6tHusr7qFCweeQ?=
 =?us-ascii?Q?2TXsNMbv71nOLrjYjCkfhRYakWpvaYs1n8Gr+OdZF1/GfWR6Vl7l1vHPFSl4?=
 =?us-ascii?Q?y6EGqtdiq3HRMeKY38DDwncW6F8b5rB7y+sgQ3YVg2LN1LfhGquzzgChbk8?=
 =?us-ascii?Q?=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-80ceb.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: a80b5903-cd0c-4ca4-794c-08db9112aac6
X-MS-Exchange-CrossTenant-AuthSource: DU2P193MB2132.EURP193.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 30 Jul 2023 15:35:56.7438 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: PR3P193MB1103
Received-SPF: pass client-ip=40.92.58.74;
 envelope-from=sergio.pastorperez@HIDDEN;
 helo=EUR03-DBA-obe.outbound.protection.outlook.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
Cc: =?UTF-8?q?Sergio=20Pastor=20P=C3=A9rez?= <sergio.pastorperez@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

* gnu/packages/fontutils.scm (python-fontmake): New variable.
---
 gnu/packages/fontutils.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 153602b4b4..a9dafcba2b 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -510,6 +510,31 @@ (define-public python-ufo2ft
 to generate OpenType font binaries from Unified Font Objects (UFOs).")
     (license license:expat)))
 
+(define-public python-fontmake
+  (package
+    (name "python-fontmake")
+    (version "3.4.0")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "fontmake" version ".zip"))
+              (sha256
+               (base32
+                "0fc5c9csjpy1aa4c03p7nvjgls5wjplhmmf42n0cmvrlh6cm7wl3"))))
+    (build-system python-build-system)
+    (propagated-inputs (list python-attrs
+                             python-fontmath
+                             python-fonttools-minimal
+                             python-glyphslib
+                             python-ufo2ft
+                             python-ufolib2))
+    (native-inputs (list unzip python-setuptools-scm))
+    (home-page "https://github.com/googlei18n/fontmake")
+    (synopsis
+     "Compile fonts from sources (UFO, Glyphs) to binary (OpenType, TrueType)")
+    (description
+     "Fontmake compiles fonts from various sources (.glyphs, .ufo, designspace) into binaries (.otf, .ttf). You can use it to create static instances and variable fonts.")
+    (license license:asl2.0)))
+
 (define-public python-fontmath
   (package
     (name "python-fontmath")

base-commit: c173819c8e5235ce02d60b79bd88b10023a7c614
prerequisite-patch-id: c56db9fa7fc4e07452dea53f2d450bd83abbbc1a
prerequisite-patch-id: 3e6318d61f2efa01f4435152f2139eef8f72572c
prerequisite-patch-id: 1b23c59bab92820a1e102137909922f4d71ed8f9
prerequisite-patch-id: 78a291411f8d86beabbf6d49df0cc78702ad4e65
prerequisite-patch-id: 579224b39cae7869ce11e2e8dba046b5eef606c7
prerequisite-patch-id: f1f62fd5d83d603ca35c17071e615352e90753e3
prerequisite-patch-id: 1843bca37f83e494be67c24e975727fb1fe1248c
prerequisite-patch-id: 5cc0d6cd16ae2ab21c444ed9cabfeea5615e8cda
prerequisite-patch-id: 92a3fab6e4174a4d4877fc5b426752df81e4df39
prerequisite-patch-id: ebf3fd3a8bb02f7dc5cdf504f63d5028b29fe69e
-- 
2.39.2





Acknowledgement sent to Sergio Pastor Pérez <sergio.pastorperez@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#64957; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 6 Sep 2023 18:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.